package de.fhhannover.inform.trust.ifmapj.binding.dom;

import java.util.Collection;

import org.w3c.dom.Document;

interface XmlMarshalable {
	
	public String getXmlElementName();
	
	public Collection<XmlAttribute> getXmlAttributes();
	
	public Collection<XmlMarshalable> getXmlChildren();
	
	public Collection<XmlNamespace> getXmlNamespaceDeclarations();
	
	public XmlNamespace getXmlNamespace();
	
	public String getXmlElementValue();
	
	public void addXmlChild(XmlMarshalable child);
	
	public void addXmlNsDeclaration(XmlNamespace ns);
	
	public void addXmlAttribute(XmlAttribute attr);

	public void addXmlAttribute(String name, String value);
	
	public void addXmlChildDoc(Document doc);

	public Collection<Document> getXmlChildrenDoc();

}
