package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Implementation of {@link PurgePublisherRequest}
 * 
 * @author aw
 *
 */
class PurgePublisherRequestImpl extends RequestImpl implements 
		PurgePublisherRequest {
	
	private String mPublisherId;
	
	PurgePublisherRequestImpl() { }

	@Override
	public void setPublisherId(String publisherId) {
		if (publisherId == null)
			throw new NullPointerException("publisherId is null");
		mPublisherId = publisherId;
	}

	@Override
	public String getPublisherId() {
		return mPublisherId;
	}
}
