package de.fhhannover.inform.trust.ifmapj.binding;

import de.fhhannover.inform.trust.ifmapj.binding.dom.DomMarshaller;
import de.fhhannover.inform.trust.ifmapj.binding.dom.DomUnmarshaller;

public abstract class BindingFactory {
	
	public static Marshaller newMarshaller() {
		return new DomMarshaller();
	}
	
	public static Unmarshaller newUnmarshaller() {
		return new DomUnmarshaller();
	}
}
