package de.fhhannover.inform.trust.ifmapj.identifier;

/**
 * Represents an IF-MAP device identifier.
 * 
 * @author aw
 *
 */
public class Device implements Identifier {
	
	
	private String mName;

	/**
	 * Package constructor.
	 */
	Device() { }

	public void setName(String name) {
		mName = name;
	}

	public String getName() {
		return mName;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.format("dev{%s}", getName());
	}
}
