package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Interface that represents a purgePublisher request
 * 
 * @author aw
 *
 */
public interface PurgePublisherRequest extends Request {
	
	/**
	 * @return the publisher-id of the MAPC to be purged.
	 */
	public String getPublisherId();
	
	/**
	 * @param publisherId the publisher-id of the MAPC to be purged.
	 * @throws NullPointerException if the publisher-id is null.
	 */
	public void setPublisherId(String publisherId);
}
